• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Which Java Version can be used?

 
Eddy Paredes
Greenhorn
Posts: 13
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Are we allowed to use Java 5 or even Java 6? In my assignment I read that I have to use Java 2 Platform. What does this mean exactly?
 
Gabriel Vargas
Ranch Hand
Posts: 145
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Eddie,

You can use java 5 or 6 to develop your assigment (compile with it, really you can do with 1.4 but i think it is too old), and finally before you submit it you must test it with java version that is not more of 18 months old (actually java 6).

I hope it helps you.
 
Eddy Paredes
Greenhorn
Posts: 13
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thank you. I'm very happy about this fact.
 
Javier Diaz
Greenhorn
Posts: 16
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
As far as I understood, we can use Java 5 up until June 2008 (Sun's Java 6 was released around Dec 06).

This is IMPORTANT to me as using a Java 6 updated version on OS X will NOT be possible (it seems) until the release of OS X 10.5 (on October 2007) ...
Of course, I will test on other OS before submitting (but my dev machine is running OS X) ...
[ August 09, 2007: Message edited by: Javier Diaz ]
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic